Olympus Docs
ReferenceAPIsOry Hydra APIoAuth2

Set OAuth 2.0 Client

Replaces an existing OAuth 2.0 Client with the payload you send. If you pass `client_secret` the secret is used,

PUT /admin/clients/{id}

Replaces an existing OAuth 2.0 Client with the payload you send. If you pass client_secret the secret is used, otherwise the existing secret is used.

If set, the secret is echoed in the response. It is not possible to retrieve it later on.

OAuth 2.0 Clients are used to perform OAuth 2.0 and OpenID Connect flows. Usually, OAuth 2.0 clients are generated for applications which want to consume your OAuth 2.0 or OpenID Connect capabilities.

Operation ID: setOAuth2Client    Tag: oAuth2

Path parameters

NameTypeRequiredDescription
idstringyesOAuth 2.0 Client ID

Request body

OAuth 2.0 Client Request Body

Content-Type: application/json

Type: object

Schema: oAuth2Client, see the Ory Hydra API schemas reference for the full type.

Responses

StatusDescriptionBody
200oAuth2Clientapplication/json, object
400Bad Request Error Responseapplication/json, object
404Not Found Error Responseapplication/json, object
defaultDefault Error Responseapplication/json, object

Generated from ../athena/openapi.json at build time.

On this page